Custody providers

Update Safe Wallet

Sets or clears the grant (and derived roleInOrg) linked to a legacy Safe wallet.

POSThttps://api.toku.com/tga/update-safe-wallet

Not available to API keys yet. It will need wallets:write.

curl --request POST \
  --url 'https://api.toku.com/tga/update-safe-wallet' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "grantID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "roleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "safeWalletID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
200 response
{
  "safeWalletID": "string",
  "orgID": "string",
  "safeWalletLink": "string",
  "safeWalletAddress": "string",
  "safeWalletName": "string",
  "signers": "string",
  "tokenAllocation": "string",
  "network": "string",
  "status": true,
  "roleInOrgID": "string",
  "grantID": "string",
  "walletType": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "deletedAt": "string",
  "balanceAmount": "string",
  "balanceUpdatedAt": "string",
  "updatingBalance": true,
  "legacyMigratedAt": "string",
  "legacyModelID": 0
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

grantIDstring | null<uuid>required
roleInOrgIDstring | null<uuid>
safeWalletIDstring<uuid>required

Response

200Successful response
safeWalletIDstringrequired
orgIDstringrequired
safeWalletLinkstringrequired
safeWalletAddressstringrequired
safeWalletNamestringrequired
signersstring | nullrequired
tokenAllocationstring | nullrequired
networkstring | nullrequired
statusboolean | nullrequired
roleInOrgIDstring | nullrequired
grantIDstring | nullrequired
walletTypestringrequired
createdAtstringrequired
updatedAtstringrequired
deletedAtstring | nullrequired
balanceAmountstring | nullrequired
balanceUpdatedAtstring | nullrequired
updatingBalanceboolean | nullrequired
legacyMigratedAtstring | nullrequired
legacyModelIDinteger | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits